> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.erlcrussia.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Ad Request

> Create a new advertisement request.

Available actions:
- `create` - create request (requires userId, username, businessName, address).




## OpenAPI

````yaml en/openapi/en-economy-v2-openapi.yaml POST /moscowroleplay/civops/ads
openapi: 3.1.0
info:
  title: ER:LC Russia API V2 - Moscow RolePlay Economy API V2
  version: 2.0.0
servers:
  - url: https://api.erlcrussia.xyz/v2
    description: ER:LC Russia API V2
security: []
tags:
  - name: Moscow RolePlay Economy API V2
    description: Endpoints for managing economy and CivOps system.
paths:
  /moscowroleplay/civops/ads:
    post:
      tags:
        - Moscow RolePlay Economy API V2
      summary: Create Ad Request
      description: >
        Create a new advertisement request.


        Available actions:

        - `create` - create request (requires userId, username, businessName,
        address).
      parameters:
        - name: action
          in: query
          description: Operation type.
          required: true
          schema:
            type: string
            enum:
              - create
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                userId:
                  type: string
                  description: User ID.
                username:
                  type: string
                  description: Username.
                businessName:
                  type: string
                  description: Business name.
                address:
                  type: string
                  description: Business address.
            examples:
              create:
                summary: Create ad request
                value:
                  userId: '1104388035199639585'
                  username: forziknerves
                  businessName: UKpanik
                  address: Артемовск, Площадь Ленина 5
      responses:
        '200':
          description: Request successfully created.
          content:
            application/json:
              schema:
                type: object
              examples:
                create:
                  summary: Request created.
                  value:
                    success: true
                    userId: '1104388035199639585'
                    businessName: UKpanik
                    address: Артемовск, Площадь Ленина 5
                    adSent: true
        '400':
          description: Request error (missing required fields).
          content:
            application/json:
              schema:
                type: object
              example:
                error: userId, username, businessName, address required
        '401':
          $ref: '#/components/responses/UnauthorizedMissingOrInvalidToken'
        '403':
          $ref: '#/components/responses/Forbidden'
        '429':
          $ref: '#/components/responses/TooManyRequests'
        '500':
          $ref: '#/components/responses/InternalServerError'
      security:
        - MRPAPIKey: []
components:
  responses:
    UnauthorizedMissingOrInvalidToken:
      description: Authentication error.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/UnauthorizedError'
          examples:
            Missing Token:
              summary: No token.
              value:
                code: 5007
                message: Missing Token
            Invalid Token:
              summary: Invalid or deactivated token.
              value:
                code: 5008
                message: Invalid Token
            Invalid Master Key:
              summary: Invalid master key.
              value:
                code: 5006
                message: Invalid Master Key
    Forbidden:
      description: Access forbidden.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ForbiddenError'
          examples:
            Forbidden:
              summary: No access rights to endpoint.
              value:
                code: 5009
                message: Forbidden
            Api Version Forbidden:
              summary: Access to this API version is forbidden.
              value:
                code: 5010
                message: Api Version Forbidden
            Query Param Forbidden:
              summary: Query parameter is forbidden.
              value:
                code: 5011
                message: Query Param Forbidden
    TooManyRequests:
      description: Request limit exceeded.
      headers:
        X-RateLimit-Limit:
          description: Maximum requests per minute.
          schema:
            type: integer
            example: 60
        X-RateLimit-Remaining:
          description: Remaining number of requests.
          schema:
            type: integer
            example: 0
        Retry-After:
          description: Seconds until limit reset.
          schema:
            type: integer
            example: 30
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/RateLimitError'
          examples:
            Rate Limit Exceeded:
              summary: Request limit exceeded.
              value:
                code: 6021
                message: Rate Limit Exceeded
                retry_after: 30
    InternalServerError:
      description: Internal server error.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/EconomyApiError'
          examples:
            Internal Server Error Occurred:
              summary: Economy API error.
              value:
                code: 6005
                message: Internal Server Error Occurred.
  schemas:
    UnauthorizedError:
      type: object
      description: Authentication error (missing or invalid token).
      required:
        - code
        - message
      properties:
        code:
          type: integer
          example: 5007
        message:
          type: string
          example: Missing Token
    ForbiddenError:
      type: object
      description: Access error (forbidden).
      required:
        - code
        - message
      properties:
        code:
          type: integer
          example: 5009
        message:
          type: string
          example: Forbidden
    RateLimitError:
      type: object
      description: Request limit exceeded error.
      required:
        - code
        - message
      properties:
        code:
          type: integer
          example: 6021
        message:
          type: string
          example: Rate Limit Exceeded
        retry_after:
          type: integer
          description: Time until limit reset in seconds.
          example: 30
    EconomyApiError:
      type: object
      description: Economy API error.
      required:
        - code
        - message
      properties:
        code:
          type: integer
          example: 6010
        message:
          type: string
          example: Business not found
  securitySchemes:
    MRPAPIKey:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: |
        API key for accessing CivOps endpoints.

        Passed in the `Authorization: Bearer <key>` header.

        REQUIRED FOR ALL CIVOPS ENDPOINTS (except /health).

````